<template>
  <div class="historyBox">

    <div id="mapContainer" class="mapLeft"></div>


  </div>
</template>

<script>
import mapType from "@/utils/maptype";
import { Map, View } from "ol";
import Tile from "ol/layer/Tile";
import WMTS from "ol/source/WMTS";
import WMTSTileGrid from "ol/tilegrid/WMTS";
import * as olProj from "ol/proj";

import XYZ from "ol/source/XYZ";

export default {
  name: "historyBox",
  components: {},
  data() {
    return {
      openMap: null,

    };
  },
  mounted() {

    this.initMap();
  },
  methods: {
    initMap() {
      var l1 = new Tile({
        source: new XYZ({
          url: "http://t3.tianditu.com/DataServer?T=cta_w&x={x}&y={y}&l={z}&tk=94a34772eb88317fcbf8428e10448561"// 注记
        })
      });
      var l2 = new Tile({
        source: new XYZ({
          url: "http://t3.tianditu.com/DataServer?T=vec_w&x={x}&y={y}&l={z}&tk=94a34772eb88317fcbf8428e10448561"  // 行政区划
        })
      });
      window.map = new Map({
        target: "mapContainer",
        layers: [],
        view: new View({
          center: olProj.fromLonLat([108.945951, 34.465262]),
          zoom: 5,
        }),
        controls: [],
      });
      map.addLayer(l2);
      map.addLayer(l1);
    },
    changeLeftMap(item, index) {

    },
    changeRightMap(item, index) {

    },
  },
};
</script>
<style scoped>
.historyBox {
  width: 100%;
  height: 100%;
  background-color: #fff;
  display: flex;
}

.leftBox {
  position: relative;
  width: 50%;
}

.rightBox {
  position: relative;
  width: 50%;
}

.listBox {
  position: absolute;
  right: 20px;
  bottom: 10px;
  background-color: #373737;
}

.listBox li {
  padding: 2px;
  border: 1px solid #000;
  color: white;
}

.listBox li:hover {
  background-color: #00e1ff;
}

.mapLeft {
  width: 100% !important;
  float: left;
  position: absolute;
  height: 100%;
  background-color: #fff;
}

.mapRight {
  width: 100% !important;
  float: right;
  position: absolute;
  height: 100%;
  background-color: #fff;
}

.active {
  background-color: #4590d7;
}
</style>
